NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::SketchChamferBuilder Class Reference

Represents a Chamfer builder
To create a new instance of this class, use NXOpen::SketchCollection::CreateSketchChamferBuilder
Default values. More...

Inheritance diagram for NXOpen::SketchChamferBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ChamferOptions { ChamferOptionsSymmetric, ChamferOptionsAsymmetric, ChamferOptionsOffsetandAngle }
 Dialog options for Chamfer Creation. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle for Offset and Angle Chamfer
Created in NX7.5.0. More...
 
NXOpen::SketchChamferBuilder::ChamferOptions ChamferOption ()
 Returns the chamfer options that specify what type of chamfer is to be created
Created in NX7.5.0. More...
 
bool CreateAngleDimension ()
 Returns the flag to indicate whether to create a dimension for SketchChamferBuilder::Angle
Created in NX7.5.0. More...
 
bool CreateDistance1Dimension ()
 Returns the flag to indicate whether to create a dimension for SketchChamferBuilder::Distance1
Created in NX7.5.0. More...
 
bool CreateDistance2Dimension ()
 Returns the flag to indicate whether to create a dimension for SketchChamferBuilder::Distance2
Created in NX7.5.0. More...
 
NXOpen::SelectDisplayableObjectListCurvesToChamfer ()
 Returns the two lines for which a chamfer is to be created
Created in NX7.5.0. More...
 
NXOpen::ExpressionDistance1 ()
 Returns the distance for line 1 for Symmetric, Asymmetric, and for OffSet and Angle Chamfer
Created in NX7.5.0. More...
 
NXOpen::ExpressionDistance2 ()
 Returns the distance for line 2 for Asymmetric Chamfer
Created in NX7.5.0. More...
 
NXOpen::PointHelpPoint ()
 Returns the coordinates of the help point for Chamfer creation
Created in NX7.5.0. More...
 
void SetChamferOption (NXOpen::SketchChamferBuilder::ChamferOptions chamferOption)
 Sets the chamfer options that specify what type of chamfer is to be created
Created in NX7.5.0. More...
 
void SetCreateAngleDimension (bool createAngleDimension)
 Sets the flag to indicate whether to create a dimension for SketchChamferBuilder::Angle
Created in NX7.5.0. More...
 
void SetCreateDistance1Dimension (bool createDistance1Dimension)
 Sets the flag to indicate whether to create a dimension for SketchChamferBuilder::Distance1
Created in NX7.5.0. More...
 
void SetCreateDistance2Dimension (bool createDistance2Dimension)
 Sets the flag to indicate whether to create a dimension for SketchChamferBuilder::Distance2
Created in NX7.5.0. More...
 
void SetHelpPoint (NXOpen::Point *helpPoint)
 Sets the coordinates of the help point for Chamfer creation
Created in NX7.5.0. More...
 
void SetTrimInputCurves (bool trimInputCurves)
 Sets the toggle that specifies whether the two selected lines are to be trimmed
Created in NX7.5.0. More...
 
bool TrimInputCurves ()
 Returns the toggle that specifies whether the two selected lines are to be trimmed
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Chamfer builder
To create a new instance of this class, use NXOpen::SketchCollection::CreateSketchChamferBuilder
Default values.

Property Value

Angle.Value

45

ChamferOption

Symmetric

Distance1.Value

2 (millimeters part), .0625 (inches part)

Distance2.Value

2 (millimeters part), .0625 (inches part)

TrimInputCurves

1


Created in NX7.5.0.

Member Enumeration Documentation

Dialog options for Chamfer Creation.

Enumerator
ChamferOptionsSymmetric 

Symmetric - specify one distance.

ChamferOptionsAsymmetric 

Asymmetric - specify two distances.

ChamferOptionsOffsetandAngle 

OffsetandAngle - specify offset distance and angle.

Member Function Documentation

NXOpen::Expression* NXOpen::SketchChamferBuilder::Angle ( )

Returns the angle for Offset and Angle Chamfer
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

NXOpen::SketchChamferBuilder::ChamferOptions NXOpen::SketchChamferBuilder::ChamferOption ( )

Returns the chamfer options that specify what type of chamfer is to be created
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

bool NXOpen::SketchChamferBuilder::CreateAngleDimension ( )

Returns the flag to indicate whether to create a dimension for SketchChamferBuilder::Angle
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

bool NXOpen::SketchChamferBuilder::CreateDistance1Dimension ( )

Returns the flag to indicate whether to create a dimension for SketchChamferBuilder::Distance1
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

bool NXOpen::SketchChamferBuilder::CreateDistance2Dimension ( )

Returns the flag to indicate whether to create a dimension for SketchChamferBuilder::Distance2
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

NXOpen::SelectDisplayableObjectList* NXOpen::SketchChamferBuilder::CurvesToChamfer ( )

Returns the two lines for which a chamfer is to be created
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

NXOpen::Expression* NXOpen::SketchChamferBuilder::Distance1 ( )

Returns the distance for line 1 for Symmetric, Asymmetric, and for OffSet and Angle Chamfer
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

NXOpen::Expression* NXOpen::SketchChamferBuilder::Distance2 ( )

Returns the distance for line 2 for Asymmetric Chamfer
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

NXOpen::Point* NXOpen::SketchChamferBuilder::HelpPoint ( )

Returns the coordinates of the help point for Chamfer creation
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

void NXOpen::SketchChamferBuilder::SetChamferOption ( NXOpen::SketchChamferBuilder::ChamferOptions  chamferOption)

Sets the chamfer options that specify what type of chamfer is to be created
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
chamferOptionchamferoption
void NXOpen::SketchChamferBuilder::SetCreateAngleDimension ( bool  createAngleDimension)

Sets the flag to indicate whether to create a dimension for SketchChamferBuilder::Angle
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
createAngleDimensioncreateangledimension
void NXOpen::SketchChamferBuilder::SetCreateDistance1Dimension ( bool  createDistance1Dimension)

Sets the flag to indicate whether to create a dimension for SketchChamferBuilder::Distance1
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
createDistance1Dimensioncreatedistance1dimension
void NXOpen::SketchChamferBuilder::SetCreateDistance2Dimension ( bool  createDistance2Dimension)

Sets the flag to indicate whether to create a dimension for SketchChamferBuilder::Distance2
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
createDistance2Dimensioncreatedistance2dimension
void NXOpen::SketchChamferBuilder::SetHelpPoint ( NXOpen::Point helpPoint)

Sets the coordinates of the help point for Chamfer creation
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
helpPointhelppoint
void NXOpen::SketchChamferBuilder::SetTrimInputCurves ( bool  trimInputCurves)

Sets the toggle that specifies whether the two selected lines are to be trimmed
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
trimInputCurvestriminputcurves
bool NXOpen::SketchChamferBuilder::TrimInputCurves ( )

Returns the toggle that specifies whether the two selected lines are to be trimmed
Created in NX7.5.0.



License requirements : drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.